Subject: Re: Problem with accept?!! (was: Re: apache cygwin package hangs when MaxRequestsPerChild reached!)
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Date: Mon, 02 Jun 2003 19:57:32 +0200

Corinna Vinschen schrieb:
> 
> On Sun, Jun 01, 2003 at 04:17:06PM -0700, Christopher B. Liebman wrote:
> > Ok, after some investigation I am starting to think that the issue is with
> > the behavior of accept().  When the apache main forks off its pool of worker
> > procs, each one calls accept() on the socket file descriptor.  What I have
> > found is that when the first process in the pool exits (usually due to the
> > max requests being reached) ***none*** of the other pool process return from
> > accept() when the next request comes in on the socket.  If I kill off the
> > current pool procs the *first* new one will respond to requests untill the
> > max is recieved again then as before, non of the other pool procs return
> > from accept.  Any ideas on how to deal with this?
> 
> I've just applied a patch to Cygwin which hopefully solves that problem.
> Please try out the next developers snapshot.

great, thanks a lot Corinna! I guess this is the nightly snapshot,
right?

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/